summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorDan McGee <dan@archlinux.org>2011-12-01 05:34:25 +0100
committerDan McGee <dan@archlinux.org>2011-12-01 05:34:25 +0100
commit1d98c6347c9622d4334f80fc59623da524b4f37b (patch)
treeca1284032ee13c73a625f6261ac2bde2bfbc708e /scripts
parent86b5b7aa4215b7408ccf1ec8368988af327703fb (diff)
parent5490cd6eb22752d2eac5410152d239c50224dbc1 (diff)
downloadpacman-1d98c6347c9622d4334f80fc59623da524b4f37b.tar.gz
pacman-1d98c6347c9622d4334f80fc59623da524b4f37b.tar.xz
Merge branch 'maint'
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in16
-rw-r--r--scripts/po/fi.po14
2 files changed, 16 insertions, 14 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 26a27899..0fa05dcb 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -506,15 +506,17 @@ remove_deps() {
# check for packages removed during dependency install (e.g. due to conflicts)
# removing all installed packages is risky in this case
- if [[ -n $(comm -23 <(printf "%s\n" "${original_pkglist[@]}") \
- <(printf "%s\n" "${current_pkglist[@]}")) ]]; then
- warning "$(gettext "Failed to remove installed dependencies.")"
- return 0
+ if [[ -n $(grep -xvFf <(printf '%s\n' "${current_packagelist[@]}") \
+ <(printf '%s\n' "${original_packagelist[@]}") ) ]]; then
+ warning "$(gettext "Failed to remove installed dependencies.")"
+ return 0
fi
- local deplist=($(comm -13 <(printf "%s\n" "${original_pkglist[@]}") \
- <(printf "%s\n" "${current_pkglist[@]}")))
- (( ${#deplist[@]} == 0 )) && return
+ local deplist
+ if ! deplist=($(grep -xvFf <(printf "%s\n" "${original_pkglist[@]}") \
+ <(printf "%s\n" "${current_pkglist[@]}"))); then
+ return
+ fi
msg "Removing installed dependencies..."
# exit cleanly on failure to remove deps as package has been built successfully
diff --git a/scripts/po/fi.po b/scripts/po/fi.po
index 9e42e945..27aabc87 100644
--- a/scripts/po/fi.po
+++ b/scripts/po/fi.po
@@ -9,8 +9,8 @@ msgstr ""
"Project-Id-Version: Arch Linux Pacman package manager\n"
"Report-Msgid-Bugs-To: http://bugs.archlinux.org/index.php?project=3\n"
"POT-Creation-Date: 2011-11-13 21:47-0600\n"
-"PO-Revision-Date: 2011-11-14 03:57+0000\n"
-"Last-Translator: toofishes <dpmcgee@gmail.com>\n"
+"PO-Revision-Date: 2011-11-21 18:29+0000\n"
+"Last-Translator: Larso <larso@gmx.com>\n"
"Language-Team: Finnish (http://www.transifex.net/projects/p/archlinux-pacman/"
"team/fi/)\n"
"Language: fi\n"
@@ -139,16 +139,16 @@ msgid "Skipping all source file integrity checks."
msgstr "Ohitetaan lähdetiedostojen virheellisyyden tarkistaminen."
msgid "Skipping verification of source file checksums."
-msgstr "Lähdetiedostojen tarkastussummia ei tarkasteta."
+msgstr ""
msgid "Skipping verification of source file PGP signatures."
msgstr "Lähdetiedostojen PGP allekirjoituksia ei tarkasteta."
msgid "Extracting Sources..."
-msgstr "Puretaan lähdetiedostoja..."
+msgstr ""
msgid "Extracting %s with %s"
-msgstr "Lähdetiedostoa %s puretaan ohjelmalla %s"
+msgstr ""
msgid "Failed to extract %s"
msgstr "tiedoston %s purkaminen epäonnistui"
@@ -487,10 +487,10 @@ msgid "%s signal caught. Exiting..."
msgstr "%s signaali vastaanotettu. Lopetetaan..."
msgid "Aborted by user! Exiting..."
-msgstr ""
+msgstr "Käyttäjä keskeytti. Lopetetaan..."
msgid "An unknown error has occurred. Exiting..."
-msgstr ""
+msgstr "Tapahtui tuntematon virhe. Lopetetaan..."
msgid "%s not found."
msgstr "%s löytyi."